/**************************************************************************/
/* GF28 ( 対訳テーブル )                                                  */
/*                                                                        */
/* Created : 2012/06/01 18:24:29                                          */
/**************************************************************************/
CREATE TABLE GF28 (
   GENBUN    VARCHAR(500)                NOT NULL      /* 10  原文         */
 , LANG_GEN  VARCHAR(2)                  NOT NULL      /* 20  原文言語     */
 , LANG_YAKU VARCHAR(2)                  NOT NULL      /* 30  訳文言語     */
 , KBYAKU    VARCHAR(1)                  NOT NULL      /* 40  訳文区分     */
 , YAKU      VARCHAR(500)                              /* 50  訳文         */
 , ID        VARCHAR(30)                               /* 60  ID           */
 , COMMENTS  VARCHAR(500)                              /* 70  コメント     */
 , UNIQ      BIGINT                      NOT NULL      /* 800 ユニークキー */
 , FGJ       VARCHAR(1)      DEFAULT '1' NOT NULL      /* 810 状態フラグ   */
 , DYSET     VARCHAR(14)                               /* 820 登録日時     */
 , PGSET     VARCHAR(10)                               /* 830 作成PG       */
 , PGPSET    VARCHAR(10)                               /* 840 作成親PG     */
 , USRSET    VARCHAR(10)                               /* 850 作成社員     */
 , DYUPD     VARCHAR(14)                               /* 860 更新日時     */
 , PGUPD     VARCHAR(10)                               /* 870 更新PG       */
 , PGPUPD    VARCHAR(10)                               /* 880 更新親PG     */
 , USRUPD    VARCHAR(10)                               /* 890 更新者       */
);

CREATE SEQUENCE GF28S00 ;


CREATE TRIGGER GF28T00 FOR GF28
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF28S00,1 );
  END; 


