/**************************************************************************/
/* GF68 ( リソース計画ワーク )                                            */
/*                                                                        */
/* Created : 2012/06/01 18:24:29                                          */
/**************************************************************************/
CREATE TABLE GF68 (
   RESOURCE_ID NUMERIC(9)                                /* 10  リソースID   */
 , SEQ         NUMERIC(7)      DEFAULT 0   NOT NULL      /* 20  順           */
 , DYSTART     VARCHAR(14)                               /* 30  開始日       */
 , DYDELAY     NUMERIC(4,1)                              /* 40  開始遅延     */
 , DURATION    NUMERIC(4,1)                              /* 50  期間         */
 , PRJCODE     VARCHAR(30)                               /* 60  PRJコード    */
 , TASK_ID     NUMERIC(5)                                /* 70  タスクID     */
 , COMPLETE    NUMERIC(3)                                /* 80  進捗率       */
 , FGTASK      VARCHAR(1)                                /* 90  FGTASK       */
 , VAL1        VARCHAR(100)                              /* 100 VAL1         */
 , VAL2        VARCHAR(100)                              /* 110 VAL2         */
 , VAL3        VARCHAR(100)                              /* 120 VAL3         */
 , VAL4        VARCHAR(100)                              /* 130 VAL4         */
 , VAL5        VARCHAR(100)                              /* 140 VAL5         */
 , UNIQ        BIGINT                      NOT NULL      /* 800 ユニークキー */
 , FGJ         VARCHAR(1)      DEFAULT '1' NOT NULL      /* 810 状態フラグ   */
 , DYSET       VARCHAR(14)                               /* 820 登録日時     */
 , PGSET       VARCHAR(10)                               /* 830 作成PG       */
 , PGPSET      VARCHAR(10)                               /* 840 作成親PG     */
 , USRSET      VARCHAR(10)                               /* 850 作成社員     */
 , DYUPD       VARCHAR(14)                               /* 860 更新日時     */
 , PGUPD       VARCHAR(10)                               /* 870 更新PG       */
 , PGPUPD      VARCHAR(10)                               /* 880 更新親PG     */
 , USRUPD      VARCHAR(10)                               /* 890 更新者       */
);

CREATE SEQUENCE GF68S00 ;


CREATE TRIGGER GF68T00 FOR GF68
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF68S00,1 );
  END; 


